<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 for Toppan Merrill on 26-October-2022 [12:07:44] {AM}-->
<schema targetNamespace="http://www.frasers.group/20220424" elementFormDefault="qualified" xmlns:fras="http://www.frasers.group/20220424" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:ifrs-full="http://xbrl.ifrs.org/taxonomy/2020-03-16/ifrs-full" xmlns:esef_cor="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" xmlns:lei="http://www.xbrl.org/taxonomy/int/lei/2020-07-02" xmlns:gen="http://xbrl.org/2008/generic" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<annotation>
<appinfo>
<link:roleType roleURI="http://www.frasers.group/role/CoverPage" id="CoverPage">
<link:definition>1001 - Document - Cover Page</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedIncomeStatement" id="ConsolidatedIncomeStatement">
<link:definition>1002 - Statement - CONSOLIDATED INCOME STATEMENT</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedStatementOfComprehensiveIncome" id="ConsolidatedStatementOfComprehensiveIncome">
<link:definition>1003 - Statement - CONSOLIDATED STATEMENT OF  COMPREHENSIVE INCOME</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedBalanceSheet" id="ConsolidatedBalanceSheet">
<link:definition>1004 - Statement - CONSOLIDATED BALANCE SHEET</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedCashFlowStatement" id="ConsolidatedCashFlowStatement">
<link:definition>1005 - Statement - CONSOLIDATED CASH FLOW STATEMENT</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedStatementOfChangesInEquity" id="ConsolidatedStatementOfChangesInEquity">
<link:definition>1006 - Statement - CONSOLIDATED STATEMENT OF CHANGES IN EQUITY</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/ConsolidatedIncomeStatementAlternate1" id="ConsolidatedIncomeStatementAlternate1">
<link:definition>1007 - Statement - CONSOLIDATED INCOME STATEMENT Alternate 1</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.frasers.group/role/Anchoring" id="Anchoring">
<link:definition>Anchoring</link:definition>
<link:usedOn>link:definitionLink</link:usedOn>
</link:roleType>
<link:linkbaseRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="213800JEGHHEAXIJDX34-2022-04-24_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/LinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
</appinfo>
</annotation>
<import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
<import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
<import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
<import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
<import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" />
<import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />
<import namespace="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd" />
<element name="ContinuingAndDiscontinuedOperationAxis" type="xbrli:stringItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="fras_ContinuingAndDiscontinuedOperationAxis" substitutionGroup="xbrldt:dimensionItem" />
<element name="ContinuingAndDiscontinuedOperationDomain" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="fras_ContinuingAndDiscontinuedOperationDomain" substitutionGroup="xbrli:item" />
<element name="InvestmentCosts" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_InvestmentCosts" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ExceptionalItems" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ExceptionalItems" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="SellingDistributionAndAdministrativeExpense" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_SellingDistributionAndAdministrativeExpense" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="TotalRevenueIncludingCreditAccountInterest" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_TotalRevenueIncludingCreditAccountInterest" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="TotalAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="fras_TotalAssets" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="OwnShareReserve" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="fras_OwnShareReserve" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="PermanentContributionToCapital" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="fras_PermanentContributionToCapital" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="ReverseCombinationReserve" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="fras_ReverseCombinationReserve" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="TotalLiabilities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="instant" nillable="true" id="fras_TotalLiabilities" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="FinanceCostsPaid" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_FinanceCostsPaid" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ProceedsOnDisposalOfIntangiblesAssets" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsOnDisposalOfIntangiblesAssets" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="PurchaseOfSubsidiariesNetOfCashAcquired" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_PurchaseOfSubsidiariesNetOfCashAcquired" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="InvestmentIncomeReceived" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_InvestmentIncomeReceived" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="FinanceIncomeReceived" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_FinanceIncomeReceived" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ProceedsInRelationToEquityDerivatives" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsInRelationToEquityDerivatives" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="ProceedsOnDisposalOfListedInvestments" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ProceedsOnDisposalOfListedInvestments" substitutionGroup="xbrli:item" xbrli:balance="debit" />
<element name="ShareSchemeReserveMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="fras_ShareSchemeReserveMember" substitutionGroup="xbrli:item" />
<element name="OwnSharesReserveMember" type="nonnum:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="fras_OwnSharesReserveMember" substitutionGroup="xbrli:item" />
<element name="FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="ShareScheme" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_ShareScheme" substitutionGroup="xbrli:item" xbrli:balance="credit" />
<element name="TotalComprehensiveIncomeForThePeriod" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" nillable="true" id="fras_TotalComprehensiveIncomeForThePeriod" substitutionGroup="xbrli:item" xbrli:balance="credit" />
</schema>